python3-pyshould-0.7.1-3.2.noarch.rpm


Advertisement

Description

python3-pyshould - Should style asserts

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-pyshould-0.7.1-3.2.noarch.rpm
Package name python3-pyshould
Package version 0.7.1
Package release 3.2
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/drslump/pyshould
License MIT
Maintainer -
Download size 45.18 KB
Installed size 155.58 KB
PyShould is a Python DSL allowing to write expectations or assertions
in almost natural language. The goal is to offer an expressive yet
readable syntax to define the expectations in detail.
Under the hood it uses the PyHamcrest library of matchers to build
complex matching predicates and great explanations when there is a
mismatch.
Its primary use case is in unit testing, replacing the need for
Python's native assertX methods. Its use is completely transparent
to the unit testing runner used, since mismatches are reported using
the standard AssertionError.

Alternatives

Package Version Architecture Repository
python3-pyshould - - -

Requires

Name Value
python(abi) = 3.7
python3-hamcrest -

Provides

Name Value
python3-pyshould = 0.7.1-3.2

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-pyshould-0.7.1-3.2.noarch.rpm
Source Package python-pyshould-0.7.1-3.2.src.rpm

Install Howto

Install python3-pyshould rpm package:

# zypper install python3-pyshould

Files

Path
/usr/lib/python3.7/site-packages/pyshould/__init__.py
/usr/lib/python3.7/site-packages/pyshould/__main__.py
/usr/lib/python3.7/site-packages/pyshould/dsl.py
/usr/lib/python3.7/site-packages/pyshould/dumper.py
/usr/lib/python3.7/site-packages/pyshould/expect.py
/usr/lib/python3.7/site-packages/pyshould/expectation.py
/usr/lib/python3.7/site-packages/pyshould/matchers.py
/usr/lib/python3.7/site-packages/pyshould/patch.py
/usr/lib/python3.7/site-packages/pyshould/patch_mockito.py
/usr/lib/python3.7/site-packages/pyshould/patched.py
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/not-zip-safe
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/requires.txt
/usr/lib/python3.7/site-packages/pyshould-0.7.1-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/pyshould/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/__main__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/__main__.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/dsl.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/dsl.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/dumper.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/dumper.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/expect.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/expect.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/expectation.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/expectation.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/matchers.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/matchers.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patch.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patch.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patch_mockito.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patch_mockito.cpython-37.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patched.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/pyshould/__pycache__/patched.cpython-37.pyc
/usr/share/doc/packages/python3-pyshould/README.md
/usr/share/licenses/python3-pyshould/LICENSE

Changelog

2018-12-04 - Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
2018-05-30 - mcepl@suse.com
- Do not package tests/ directory
2018-05-16 - toddrme2178@gmail.com
- Update to 0.7.1
* Be a date: matcher for providing datetime type check
* Add 'contain_sparse' and 'have_sparse' shortcuts.
- Implement single-spec version
2016-06-03 - toddrme2178@gmail.com
- Update to version 0.6.2
* No upstream changelog
2014-08-08 - lowks@lowkster.com
- Initial version of python-pyshould

See Also

Package Description
python3-pyshp-2.1.0-1.1.noarch.rpm Python library for ESRI Shapefile format
python3-pyside2-5.12.0-1.5.i586.rpm Python bindings for Qt
python3-pyside2-5.12.0-1.5.x86_64.rpm Python bindings for Qt
python3-pyside2-devel-5.12.0-1.5.i586.rpm Header Files for PySide2
python3-pyside2-devel-5.12.0-1.5.x86_64.rpm Header Files for PySide2
python3-pyside2-examples-5.12.0-1.5.i586.rpm Examples for using PySide2
python3-pyside2-examples-5.12.0-1.5.x86_64.rpm Examples for using PySide2
python3-pysmb-1.1.25-1.2.noarch.rpm SMB/CIFS library to support file sharing between Windows and Linux machines
python3-pysmbc-1.0.15.8-1.4.i586.rpm Python bindings for samba clients (libsmbclient)
python3-pysmbc-1.0.15.8-1.4.x86_64.rpm Python bindings for samba clients (libsmbclient)
python3-pysmi-0.3.3-1.2.noarch.rpm SNMP SMI/MIB Parser
python3-pysndfile-1.3.2-3.1.i586.rpm Cython wrapper class for reading/writing soundfiles
python3-pysndfile-1.3.2-3.1.x86_64.rpm Cython wrapper class for reading/writing soundfiles
python3-pysnmp-4.4.9-1.1.noarch.rpm A pure-Python SNMPv1/v2c/v3 library
python3-pysrt-1.1.1-1.4.noarch.rpm SubRip (.srt) subtitle parser and writer
Advertisement
Advertisement